opera9.25不能使用flash9插件[已经解决]

上网、浏览、聊天、下载等
回复
shidelai
帖子: 27
注册时间: 2008-01-31 17:46
送出感谢: 0
接收感谢: 0
联系:

opera9.25不能使用flash9插件[已经解决]

#1

帖子 shidelai » 2008-02-28 14:25

我按照论坛里面的帖子的方法都试用过了,我总结起来无非就是把libflashplayer.so文件复制到/usr/lib/opera/plugins下面或者/usr/lib/molliza/plugins/下面,反正在opera的插件管理的设置里面勾上包含这个文件的文件夹就可以了,这个文件在什么位置不重要。然后设置一下权限755。
我知我这么理解对不对。
如果对的话,为什么opera就是不能播放flash呢?

我最后一次的做法是:依次删除/usr/lib/firefox/plugins /usr/lib/molliza/plugins 下面的libflashplayer.so 用firefox上优酷,flash正常播放,我再删除~/.molliza/plugins下面的libflashplayer.so的firefox,此时优酷不能正常播放flash,可见最后这一个libflashplayer.so肯定就是一个没问题的libflashplayer.so文件,我于是把这个文件复制到/usr/lib/opera/plugins 下面并设置权限755 ,opera 里面的插件管理也设置好只包含这个文件夹,插件列表里面也列出了flash插件。可还是不能播放flash
上次由 shidelai 在 2008-02-28 15:42,总共编辑 2 次。
头像
qianwx
帖子: 730
注册时间: 2006-07-08 14:41
送出感谢: 0
接收感谢: 0

#2

帖子 qianwx » 2008-02-28 15:07

你上网找一个9.0.48版的Flash插件,看看插件安装包内是否包含有.XPT文件,如果有,那就按照正规方式安装一遍即可。。。。。这是最新的Flash插件内置的安全机制引起的,而Opera自9.24之后似乎还未准备好支持最新的Flash插件,因此就出现了类似Windows中的“单击以激活并使用该控件”的提示且不显示Flash
shidelai
帖子: 27
注册时间: 2008-01-31 17:46
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 shidelai » 2008-02-28 15:15

What is the most recent version of the Flash plugin for Linux
that works for Opera 9.25? I have tried with the latest (9.0.115.0) which
work fine for Firefox, but it does not seem to for Opera.

谢谢楼上,看来是opera不支持我用的flash插件版本
shidelai
帖子: 27
注册时间: 2008-01-31 17:46
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 shidelai » 2008-02-28 15:41

9.0.48没找到。
安装了个7.0版本的flash插件,OK了。
我放到网上硬盘了,共享给大家
http://www.namipan.com/d/install_flash_ ... 67be870f00

解压之后cd到解压后的目录,然后 sudo flashplayer-installer 按提示安装即可
回复

回到 “因特网相关软件”